This is the mail archive of the libc-alpha@cygnus.com mailing list for the glibc project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]

Re: glibc2.1 not binary compatible with 2.0


>>>>> Glenn W Bach writes:

 > We are unable to get our programs working on the pre-release of RedHat 6.0,
 > because glibc2.1 is not binary compatible with 2.0. 

 > Has this been seen already? Is there a fix?
 > We have example fully-debugged 2.0 binaries that don't work with 2.1 if
 > anyone is interested in seeing it.

 > Thanks.

Please explain exactly what you mean.  We've resolved some (all?)
known incompatibilities but without further details, I can't say
anything.

Btw. did you read the glibc2.1 FAQ, especially:
2.27.   What needs to be recompiled when upgrading from glibc 2.0 to glibc
        2.1?

Andreas
-- 
 Andreas Jaeger   aj@arthur.rhein-neckar.de    jaeger@informatik.uni-kl.de
  for pgp-key finger ajaeger@aixd1.rhrk.uni-kl.de


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]